Loading...
Searching...
No Matches
casacore::MSUvDistParse Class Reference
ms package (libcasa_ms) » MSSel_module » MSSel_module_internal_classes

More...

`#include <MSUvDistParse.h>`

## Public Member Functions

| MSUvDistParse ()
| Default constructor.
| MSUvDistParse (const MeasurementSet *ms)
| Associate the ms and the shorthand.
const TableExprNode * | selectUVRange (const Double &startUV, const Double &endUV, const String &unit, Bool doSlow=False)
| ~MSUvDistParse() {if (node_p) delete node_p;node_p=0x0;}
Vector< Bool > | selectedUnits ()
Matrix< Double > | selectedUV ()
Public Member Functions inherited from casacore::MSParse
| MSParse ()
| Default constructor for List container class.
| MSParse (const MSParse &)
| Copy constructor (copy semantics).
| ~MSParse ()
MSParse & | operator= (const MSParse &)
| Assignment (copy semantics).
| MSParse (const MeasurementSet *ms, const String &shorthand)
| Associate the ms and the shorthand.
| MSParse (const MSSelectableTable *ms, const String &shorthand)
| Associate the ms and the shorthand.
Bool | test (const String &shortHand) const
| Test if shorthand matches.
String & | shorthand ()
| Get the shorthand.
MeasurementSet * | ms ()
| Get ms object.
MSSelectableTable * | msInterface ()
| Get ms object.
void | setMS (MeasurementSet *ms)
void | setMSInterface (MSSelectableTable *msI)
void | addCondition (TableExprNode &target, TableExprNode &source)

## Static Public Member Functions

static void | reset ()
static void | cleanup ()
static const TableExprNode * | node ()
| Get table expression node object.

## Static Public Attributes

static MSUvDistParse * | thisMSUParser
Static Public Attributes inherited from casacore::MSParse
static MeasurementSet * | ms_p
static MSSelectableTable * | msInterface_p

## Private Member Functions

void | accumulateUVList (const Double r0, const Double r1, const Bool wavelengthUnits, const Bool meterUnits)

## Static Private Attributes

static TableExprNode * | node_p
static Matrix< Double > | selectedUV_p
static Vector< Bool > | meterUnits_p

## Detailed Description

Class to hold values from UV dist grammar parser

### Intended use:

Internal

### Etymology

MSUvDistParse is the class used to parse a UV dist command.

### Synopsis

MSUvDistParse is used by the parser of UV dist sub-expression statements. The parser is written in Bison and Flex in files MSUvDistGram.y and.l. The statements in there use the routines in this file to act upon a reduced rule. Since multiple tables can be given (with a shorthand), the table names are stored in a list. The variable names can be qualified by the table name and will be looked up in the appropriate table.

The class MSUvDistParse only contains information about a table used in the table command. Global variables (like a list and a vector) are used in MSUvDistParse.cc to hold further information.

Global functions are used to operate on the information. The main function is the global function msUvDistCommand. It executes the given STaQL command and returns the resulting ms. This is, in fact, the only function to be used by a user.

### Motivation

It is necessary to be able to give a ms command in ASCII. This can be used in a CLI or in the table browser to get a subset of a table or to sort a table.

Definition at line 85 of file MSUvDistParse.h.

## Constructor & Destructor Documentation

## MSUvDistParse() [1/2]

casacore::MSUvDistParse::MSUvDistParse | ( |  | ) |

Default constructor.

## MSUvDistParse() [2/2]

casacore::MSUvDistParse::MSUvDistParse | ( | const MeasurementSet * | ms | ) |

Associate the ms and the shorthand.

References casacore::MSParse::ms().

## Member Function Documentation

## accumulateUVList()

void casacore::MSUvDistParse::accumulateUVList | ( | const Double | r0,
|  | const Double | r1,
|  | const Bool | wavelengthUnits,
|  | const Bool | meterUnits )

private

## cleanup()

void casacore::MSUvDistParse::cleanup | ( |  | ) |

inline static

Definition at line 105 of file MSUvDistParse.h.

References node_p.

## node()

const TableExprNode * casacore::MSUvDistParse::node | ( |  | ) |

static

Get table expression node object.

## reset()

void casacore::MSUvDistParse::reset | ( |  | ) |

inline static

Definition at line 104 of file MSUvDistParse.h.

References meterUnits_p, and selectedUV_p.

## selectedUnits()

Vector< Bool > casacore::MSUvDistParse::selectedUnits | ( |  | ) |

inline

Definition at line 102 of file MSUvDistParse.h.

References meterUnits_p.

## selectedUV()

Matrix< Double > casacore::MSUvDistParse::selectedUV | ( |  | ) |

inline

Definition at line 103 of file MSUvDistParse.h.

References selectedUV_p.

## selectUVRange()

const TableExprNode * casacore::MSUvDistParse::selectUVRange | ( | const Double & | startUV,
|  | const Double & | endUV,
|  | const String & | unit,
|  | Bool | doSlow = False )

~MSUvDistParse() {if (node_p) delete node_p;node_p=0x0;}

References casacore::False.

## Member Data Documentation

## meterUnits_p

Vector<Bool> casacore::MSUvDistParse::meterUnits_p

static private

Definition at line 114 of file MSUvDistParse.h.

Referenced by reset(), and selectedUnits().

## node_p

TableExprNode* casacore::MSUvDistParse::node_p

static private

Definition at line 112 of file MSUvDistParse.h.

Referenced by cleanup().

## selectedUV_p

Matrix<Double> casacore::MSUvDistParse::selectedUV_p

static private

Definition at line 113 of file MSUvDistParse.h.

Referenced by reset(), and selectedUV().

## thisMSUParser

MSUvDistParse* casacore::MSUvDistParse::thisMSUParser

static

Definition at line 109 of file MSUvDistParse.h.

The documentation for this class was generated from the following file:

- ms/MSSel/MSUvDistParse.h